<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools" >

    <data >

        <variable
            name="item"
            type="com.quansu.heifengwuliu.model.DriverBean" />

    </data >

    <RelativeLayout
        android:id="@+id/rl_todo"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        android:paddingLeft="@dimen/dp_10"
        android:background="#ffffff"
        android:paddingTop="@dimen/dp_20"
        android:paddingBottom="@dimen/dp_20"
        android:layout_marginBottom="@dimen/dp_10"
        android:paddingRight="@dimen/dp_10" >


        <ImageView
            android:id="@+id/img_check"
            android:layout_width="40dp"
            android:layout_height="40dp"
            android:padding="10dp"
            android:layout_centerVertical="true"
            android:src="@{item.checked==0?@drawable/select_off:@drawable/select_on}"
            >

        </ImageView>

<!--        <ImageView-->
<!--            android:id="@+id/img_check"-->
<!--            android:layout_width="15dp"-->
<!--            android:layout_height="15dp"-->
<!--            android:layout_centerVertical="true"-->
<!--            android:src="@{item.checked==0?@drawable/select_off:@drawable/select_on}"-->
<!--             />-->

        <ImageView
            android:id="@+id/img_icon"
            android:layout_width="50dp"
            android:layout_height="50dp"
            android:layout_centerVertical="true"
            android:layout_toEndOf="@id/img_check"
            android:padding="@dimen/dp_13"
            android:background="@mipmap/ic_launcher"
            app:url="@{item.avatar}"
             />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:layout_marginStart="@dimen/dp_8"
            android:layout_toEndOf="@id/img_icon"
            android:orientation="vertical" >

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal" >

                <TextView
                    android:id="@+id/tv_name"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:ellipsize="end"
                    android:maxLines="1"
                    android:text="@{item.name}"
                    android:textColor="@{item.checked==1?@color/text_hint:@color/text_black}"
                    android:textSize="@dimen/sp_16"
                    tools:text="@string/app_name" />

                <TextView
                    android:id="@+id/tv_phone"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:ellipsize="end"
                    android:maxLines="1"
                    android:text="@{item.mobile}"
                    android:textColor="@{item.checked==1?@color/text_hint:@color/text_black}"
                    android:textSize="@dimen/sp_16"
                    tools:text="@string/app_name" />

            </LinearLayout >

            <TextView
                android:id="@+id/tv_desc"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_2"
                android:text="@{item.number+item.car_cate}"

                android:textColor="@{item.checked==1?@color/text_hint:@color/text_black}"
                tools:text="@string/app_name" />

        </LinearLayout >


    </RelativeLayout >
</layout >
